Subject: [PATCH v9 00/21] Introduce ACPI for ARM64 based on ACPI 5.1

From: [email-masked] (Hanjun Guo)
Date: Fri, 27 Feb 2015 16:37:10 +0800

Hi Timur,

On 2015?02?27? 11:20, Timur Tabi wrote:
> On 02/25/2015 02:39 AM, Hanjun Guo wrote:
>> Changes since v8:
>
> I'm still debugging it, but v9 on the 4.0-rc1 kernel crashes after
> calling the UEFI boot time services exit function.  That is, this line:
>
> status = sys_table->boottime->exit_boot_services(handle, mmap_key);
>
> in allocate_new_fdt_and_exit_boot() gets called, and then soon after it
> returns, the kernel crashes.  It's really early because the UEFI
> exception handler is called.
>
> I did not have this problem with v8 patchset on 3.19.

I tested this patch set on FVP base model with UEFI, and booted ok.
Can you boot the system without this ACPI patch set?

>
>
> Also, you still have a couple whitespace problems in these patches:
>
> Applying: ARM64 / ACPI: additions of ACPI documentation for arm64
> /local/mnt/workspace/linux.0/.git/rebase-apply/patch:607: new blank line
> at EOF.
> +
> /local/mnt/workspace/linux.0/.git/rebase-apply/patch:844: new blank line
> at EOF.
> +
> warning: 2 lines add whitespace errors.
> Applying: Documentation: ACPI for ARM64
> /local/mnt/workspace/linux.0/.git/rebase-apply/patch:517: new blank line
> at EOF.
> +
> warning: 1 line adds whitespace errors.

Weired, When I checked the patch locally there were no whitespace
problems:

./scripts/checkpatch.pl 0020-Documentation-ACPI-for-ARM64.patch
WARNING: added, moved or deleted file(s), does MAINTAINERS need updating?
#23:
new file mode 100644

WARNING: use relative pathname instead of absolute in changelog text
#25:
--- /dev/null

total: 0 errors, 2 warnings, 506 lines checked

0020-Documentation-ACPI-for-ARM64.patch has style problems, please review.

./scripts/checkpatch.pl 
0021-ARM64-ACPI-additions-of-ACPI-documentation-for-arm64.patch
WARNING: added, moved or deleted file(s), does MAINTAINERS need updating?
#32:
new file mode 100644

WARNING: use relative pathname instead of absolute in changelog text
#34:
--- /dev/null

WARNING: use relative pathname instead of absolute in changelog text
#634:
--- /dev/null

total: 0 errors, 3 warnings, 825 lines checked

0021-ARM64-ACPI-additions-of-ACPI-documentation-for-arm64.patch has 
style problems, please review.

Can you provide me the exact line of code which have whitespace problems?

Thanks
Hanjun